Subject: Re: bug#44675: guix lint: support for spellchecker or basic grammar

From: Maxime Devos <[email-masked]>
Date: Thu, 22 Apr 2021 20:05:22 +0200

Vagrant Cascadian schreef op do 22-04-2021 om 10:57 [-0700]:
> On 2021-04-22, Maxime Devos wrote:
> > +  (define (check-pluralized-this-package description)
> > +    "Check that DESCRIPTION does not contain This packages"
> > 
> > The sentence structure would be clearer if you used quotes here,
> > something like "Check that DESCRIPTION does not contain ‘This packages’".
> 
> Any compelling reason to use ‘This packages’ vs. 'This packages' ?

I find ‘curly quotes’ more aesthetically pleasing, though that's a bit subjective
I guess.

> It seems other quotes in guix/lint.scm use '' also,
I believe they should use ‘curly quotes’ as well, though I would like to hear
what other things about that first.

>  and I'm not apparently
> skilled enough with a keyboard to generate ‘’-style quotes... :)

If your keyboard is azerty, you could choose ‘Belgian alternative’, and type
‘ with alt-gr+f and ’ with alt-gr+g.

> Updated the commit message and incorporated the above suggestions into
> the updated attached patch.

One other suggestion: you used "string-match" in 'check-pluralized-this-package',
which is a bit overkill.  string-match interprets its first argument as a regex.
The procedure "string-contains" is simpler and probably more efficient.

The patch looks good otherwise.

Greetings,
Maxime.